FieldPro is a lightweight App that is compatible with most Android devices. Minimum requirements to use FieldPro Mobile App:

  • Android Version - 7.0 and above

  • RAM - 1GB and above

  • GPS Mode - High accuracy

  • Internal Storage - More than 500MB available

  • You'll also need an active internet connection to Synchronize and Upload data.

The android phone to be used should support google play services, as the app relies on it

Some of the recommended manufacturers are Samsung, Nokia, Oppo, LG, Motorola

We discourage the use of the following devices with FieldPro, as it doesnt function smoothly.

  • Tabs e.g. Samsung Galaxy Tabs

  • Older versions of Itel/Infinix/tecno